Bug 1338799 - [RFE] Need UI element to view affinity labels in the VM and host dialog boxes
Summary: [RFE] Need UI element to view affinity labels in the VM and host dialog boxes
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: ovirt-engine
Classification: oVirt
Component: RFEs
Version: 4.0.0
Hardware: Unspecified
OS: Unspecified
high
high vote
Target Milestone: ovirt-4.2.0
: 4.2.0
Assignee: Phillip Bailey
QA Contact: Artyom
URL:
Whiteboard:
Depends On: 1254818
Blocks: 1465862 1505297
TreeView+ depends on / blocked
 
Reported: 2016-05-23 12:47 UTC by Phillip Bailey
Modified: 2019-04-28 14:10 UTC (History)
13 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
undefined
Clone Of:
: 1465862 (view as bug list)
Environment:
Last Closed: 2017-12-20 11:15:31 UTC
oVirt Team: SLA
rule-engine: ovirt-4.2+
rule-engine: exception+
alukiano: testing_plan_complete+
mgoldboi: planning_ack+
rgolan: devel_ack+
mavital: testing_ack+


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 57903 master MERGED webadmin: Add label comboboxes to VM & host dialogs 2016-06-14 13:39:28 UTC
oVirt gerrit 59256 ovirt-engine-4.0 MERGED webadmin: Add label comboboxes to VM & host dialogs 2016-06-27 12:32:18 UTC
oVirt gerrit 70790 master ABANDONED WIP >>> webadmin: Move affinity labels drop-down to side tab 2017-05-02 20:44:45 UTC
oVirt gerrit 75695 master ABANDONED WIP >>> webadmin: Create affinity labels widget 2017-05-02 20:42:07 UTC
oVirt gerrit 75696 master ABANDONED WIP >>> webadmin: Add affinity labels widget to VM dialog 2017-05-02 20:42:32 UTC
oVirt gerrit 76043 master MERGED core: Add affinity labels functions to VM and host commands 2017-06-20 22:58:06 UTC
oVirt gerrit 76044 master MERGED webadmin: Create affinity labels side tab and relocate drop down 2017-06-20 22:58:09 UTC
oVirt gerrit 76045 master MERGED webadmin: Replace affinity labels multiselect dropdown 2017-06-20 22:58:16 UTC
oVirt gerrit 76317 master ABANDONED core: Add VM and host names to the Label entity 2017-05-16 09:44:21 UTC
oVirt gerrit 76318 master MERGED webadmin: Create affinity labels sub tabs 2017-06-20 22:58:56 UTC
oVirt gerrit 77804 master MERGED webadmin: Reposition the 'Affinity Labels' sub tab 2017-06-20 22:59:09 UTC
oVirt gerrit 78743 ovirt-engine-4.1 MERGED core: Add affinity labels functions to VM and host commands 2017-07-11 12:50:13 UTC
oVirt gerrit 78744 ovirt-engine-4.1 MERGED webadmin: Create affinity labels side tab and relocate drop down 2017-07-11 12:50:19 UTC
oVirt gerrit 78746 ovirt-engine-4.1 MERGED webadmin: Replace affinity labels multiselect dropdown 2017-07-11 12:52:34 UTC
oVirt gerrit 78749 ovirt-engine-4.1 MERGED webadmin: Create affinity labels sub tabs 2017-07-11 12:53:18 UTC
oVirt gerrit 78750 ovirt-engine-4.1 MERGED webadmin: Reposition the 'Affinity Labels' sub tab 2017-07-11 12:53:23 UTC
oVirt gerrit 79081 ovirt-engine-4.1 MERGED core: Fix add/remove host error in the Label class 2017-07-11 12:50:08 UTC
oVirt gerrit 79278 master MERGED webadmin: Conditionally disable affinity labels widget 2017-07-13 12:31:35 UTC
oVirt gerrit 79481 master ABANDONED webadmin: Rename 'Delete' button in affinity labels sub tab 2018-02-20 11:31:52 UTC
oVirt gerrit 79508 ovirt-engine-4.1 MERGED webadmin: Conditionally disable affinity labels widget 2017-07-20 06:51:59 UTC
Red Hat Bugzilla 1412143 None CLOSED [Docs][RFE][Admin] Add affinity labels UI documentation 2019-05-08 10:45:34 UTC

Internal Links: 1412143

Description Phillip Bailey 2016-05-23 12:47:04 UTC
Description of problem:
With the introduction of the affinity labels feature, a UI element is needed to facilitate selection of the applicable labels for VMs and hosts.

Version-Release number of selected component (if applicable): 4.0.0 beta

Comment 3 Red Hat Bugzilla Rules Engine 2016-05-24 12:08:35 UTC
Bug tickets must have version flags set prior to targeting them to a release. Please ask maintainer to set the correct version flags and only then set the target milestone.

Comment 4 Red Hat Bugzilla Rules Engine 2016-05-24 12:08:35 UTC
Target release should be placed once a package build is known to fix a issue. Since this bug is not modified, the target version has been reset. Please use target milestone to plan a fix for a oVirt release.

Comment 5 Red Hat Bugzilla Rules Engine 2016-06-09 10:44:42 UTC
Target release should be placed once a package build is known to fix a issue. Since this bug is not modified, the target version has been reset. Please use target milestone to plan a fix for a oVirt release.

Comment 6 Michal Skrivanek 2016-06-29 10:53:29 UTC
this doesn't seem to be ready in 4.0. For 4.1 I strongly suggest to review the proposed solution and move the affinity labels display out of the general subtab of host dialog (in the middle of connection info used for deployment) and out of the general subtab of VM dialog (putting it in front of the basic configuration doesn't make sense, it also makes the subtab even longer so the disks and nics are always invisible without scrolling down). Espcially since it's a R/O information it doesn't even belong to the dialogs.
Hence moving back to POST

Comment 7 Martin Sivák 2016-12-21 11:32:50 UTC
Can you please review the 4.1 status of this with virt team and either revert it or move it to a different subtab only maybe?

Comment 12 rhev-integ 2017-07-07 12:23:53 UTC
INFO: Bug status wasn't changed from MODIFIED to ON_QA due to the following reason:

[Open patch attached]

For more info please contact: infra@ovirt.org

Comment 13 Eyal Edri 2017-07-10 12:26:11 UTC
Can you verify this is really on MODIFIED?
There are multiple bugs still open attached to the bug.

Comment 14 Artyom 2017-07-16 11:55:52 UTC
Verified on rhevm-4.1.4.1-0.1.el7.noarch

1) Create a label from the Affinity Labels sub tab under the Clusters main tab and add hosts/VMs to it. Then, ensure that the label shows up in the sub tabs under the VMs and Hosts main tabs when those hosts/VMs are selected.
2) Create a label from the Affinity Labels sub tab under the VMs main tab. The selected VM should be selected in the dialog automatically. Save the label and ensure that it shows up in the sub tab.
3) Repeat the test above in the Hosts main tab.
4) Edit a label from the Affinity Labels sub tab under the VMs main tab that has members other than the selected VM. Remove a member other than the selected VM and click 'OK'. Ensure that the members list in the sub tab shows the correct members.
5) Repeat the test above, but remove the selected VM. Ensure that the label no longer shows in the sub tab.
Repeat the two tests above in the Hosts main tab.
6) Attempt to delete a label from the Affinity Labels sub tab under the Clusters main tab. You should receive a message informing you that all members must be removed before the label can be deleted.
7) Edit a label from the Affinity Labels sub tab under the Clusters main tab and remove all members. Click 'OK'. Delete the label. Ensure that the label is removed from the sub tab.
8) When there are no labels selected, a message should be displayed informing you of this.
9) Labels should always be ordered alphabetically.
10) Selecting the same label twice (by clicking 'Add') should result in no change to the list.
11) Clicking the 'x' next to the label name should remove it from the selected labels list.
12) Label names should continue to wrap around and fill the column they're in and shouldn't overflow the panel when there isn't enough space to display all of them simultaneously. 
13) Create a new VM and add affinity labels from the side tab. Save the VM and edit it. Ensure the correct labels are displayed.
14) Edit a VM that has affinity labels applied and delete one or more of them. Save the VM and edit it again. Ensure the deleted labels are no longer displayed.
15) Add and remove affinity labels to/from a VM from the sub tab. Edit the VM and ensure that the changes are reflected in the side tab.

Comment 16 Sandro Bonazzola 2017-12-20 11:15:31 UTC
This bugzilla is included in oVirt 4.2.0 release, published on Dec 20th 2017.

Since the problem described in this bug report should be
resolved in oVirt 4.2.0 release, published on Dec 20th 2017, it has been closed with a resolution of CURRENT RELEASE.

If the solution does not work for you, please open a new bug report.


Note You need to log in before you can comment on or make changes to this bug.